<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Objetos Angel Navarrete</title>
</head>
<body>
    <script>
        var tvSamsung = {
            nombre: "TV Samsung 42'",
            categoria: "Televisores",
            unidades: 4,
            precio: 345.95,
            getImporte(){
                return "Valor de las unidades: " + this.unidades*this.precio;
            }
            //getImporte: function(){
            //    return "Valor de las unidades: " + this.unidades*this.precio;
            //}
        };

        function MostrarTvSamsung(obj) {
            var result = ``;
            for (var p in obj) {
                    result += `${p} = ${obj[p]}\n`;
            }
            return result;
        }
        console.log(tvSamsung);

        console.log(MostrarTvSamsung(tvSamsung));
        console.log(tvSamsung.getImporte());
    </script>
</body>
</html>